Bug 857770 - SELinux is preventing /usr/sbin/rhnsd from 'write' accesses on the sock_file log.
SELinux is preventing /usr/sbin/rhnsd from 'write' accesses on the sock_file ...
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-09-16 19:57 EDT by Maurice James
Modified: 2012-09-21 20:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-09-21 20:00:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: type (9 bytes, text/plain)
2012-09-16 19:57 EDT, Maurice James
no flags Details
File: hashmarkername (14 bytes, text/plain)
2012-09-16 19:57 EDT, Maurice James
no flags Details

  None (edit)
Description Maurice James 2012-09-16 19:57:30 EDT
Additional info:
libreport version: 2.0.13
kernel:         3.5.3-1.fc17.x86_64

:SELinux is preventing /usr/sbin/rhnsd from 'write' accesses on the sock_file log.
:*****  Plugin catchall (100. confidence) suggests  ***************************
:If you believe that rhnsd should be allowed write access on the log sock_file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:allow this access for now by executing:
:# grep rhnsd /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:Additional Information:
:Source Context                system_u:system_r:rhsmcertd_t:s0
:Target Context                system_u:object_r:devlog_t:s0
:Target Objects                log [ sock_file ]
:Source                        rhnsd
:Source Path                   /usr/sbin/rhnsd
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           rhnsd-4.9.15-1.fc16.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-146.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.5.3-1.fc17.x86_64 #1 SMP Wed Aug
:                              29 18:46:34 UTC 2012 x86_64 x86_64
:Alert Count                   4
:First Seen                    2012-09-16 17:39:12 EDT
:Last Seen                     2012-09-16 19:39:12 EDT
:Local ID                      5413f41a-1901-466b-a7fd-1b210a73bd0a
:Raw Audit Messages
:type=AVC msg=audit(1347838752.947:583): avc:  denied  { write } for  pid=4986 comm="rhnsd" name="log" dev="devtmpfs" ino=8229 scontext=system_u:system_r:rhsmcertd_t:s0 tcontext=system_u:object_r:devlog_t:s0 tclass=sock_file
:type=SYSCALL msg=audit(1347838752.947:583): arch=x86_64 syscall=connect success=no exit=EACCES a0=0 a1=386afb3840 a2=6e a3=4024c2 items=0 ppid=867 pid=4986 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=rhnsd exe=/usr/sbin/rhnsd subj=system_u:system_r:rhsmcertd_t:s0 key=(null)
:Hash: rhnsd,rhsmcertd_t,devlog_t,sock_file,write
:#============= rhsmcertd_t ==============
:allow rhsmcertd_t devlog_t:sock_file write;
:audit2allow -R
:#============= rhsmcertd_t ==============
:allow rhsmcertd_t devlog_t:sock_file write;
Comment 1 Maurice James 2012-09-16 19:57:33 EDT
Created attachment 613534 [details]
File: type
Comment 2 Maurice James 2012-09-16 19:57:35 EDT
Created attachment 613535 [details]
File: hashmarkername
Comment 3 Miroslav Grepl 2012-09-17 04:10:44 EDT
Comment 4 Fedora Update System 2012-09-17 08:14:37 EDT
selinux-policy-3.10.0-149.fc17 has been submitted as an update for Fedora 17.
Comment 5 Fedora Update System 2012-09-18 22:56:11 EDT
Package selinux-policy-3.10.0-149.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-149.fc17'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-09-21 20:00:18 EDT
selinux-policy-3.10.0-149.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.